#include "ochess.hpp"
#include <wx/combobox.h>
#include <wx/dir.h>
#include <wx/filename.h>
#include <wx/preferences.h>
#include <wx/spinctrl.h>
#include <wx/stdpaths.h>

class EditorPrefsPanel : public PrefsEditor {

public:
  EditorPrefsPanel(wxWindow *parent) : PrefsEditor(parent) {
   
   // Bind(wxEVT_SPINCTRL, &BoardPrefsPanel::OnConfChange, this, wxID_ANY);
  }
  void OnConfChange(wxCommandEvent &event) {
  }

  virtual bool TransferDataToWindow() {
    return true;
  }

  void ApplyPreferences() {
  
  }

  virtual bool TransferDataFromWindow() {

    return (true);
  }
};

class EditorPrefs : public wxPreferencesPage {
public:
  virtual wxString GetName() const { return "Editor"; }
  virtual wxBitmap GetLargeIcon() {
    return wxArtProvider::GetBitmap(wxART_HELP, wxART_TOOLBAR);
  }
  virtual wxWindow *CreateWindow(wxWindow *parent) {
    return new EditorPrefsPanel(parent);
  }
};